net.corda.schemas

## Class CashSchemaV1.PersistentCashState

- net.corda.core.schemas.PersistentState
- - net.corda.schemas.CashSchemaV1.PersistentCashState

- Enclosing class:
    CashSchemaV1

      public static class CashSchemaV1.PersistentCashState
      extends PersistentState

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistentCashState(java.lang.String owner, long pennies, java.lang.String currency, java.lang.String issuerParty, byte[] issuerRef)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCurrency()`
    `java.lang.String` | `getIssuerParty()`
    `byte[]` | `getIssuerRef()`
    `java.lang.String` | `getOwner()`
    `long` | `getPennies()`
    `void` | `setCurrency(java.lang.String p)`
    `void` | `setIssuerParty(java.lang.String p)`
    `void` | `setIssuerRef(byte[] p)`
    `void` | `setOwner(java.lang.String p)`
    `void` | `setPennies(long p)`

    - ### Methods inherited from class net.corda.core.schemas.PersistentState

      `getStateRef, setStateRef`

- - ### Constructor Detail

    - #### PersistentCashState

          public PersistentCashState(java.lang.String owner,
                                     long pennies,
                                     java.lang.String currency,
                                     java.lang.String issuerParty,
                                     byte[] issuerRef)

  - ### Method Detail

    - #### getOwner

          public java.lang.String getOwner()

    - #### setOwner

          public void setOwner(java.lang.String p)

    - #### getPennies

          public long getPennies()

    - #### setPennies

          public void setPennies(long p)

    - #### getCurrency

          public java.lang.String getCurrency()

    - #### setCurrency

          public void setCurrency(java.lang.String p)

    - #### getIssuerParty

          public java.lang.String getIssuerParty()

    - #### setIssuerParty

          public void setIssuerParty(java.lang.String p)

    - #### getIssuerRef

          public byte[] getIssuerRef()

    - #### setIssuerRef

          public void setIssuerRef(byte[] p)